
/* ------------------------------------------------------------
   This is the file "ie1d.h" of the HLib package.

   Copyright 1999 Lars Grasedyck and Steffen Boerm
   Max-Planck-Institut fuer Mathematik in den Naturwissenschaften
   Inselstrasse 22-26
   04103 Leipzig
   http://www.mis.mpg.de
   ------------------------------------------------------------ */

#ifndef IE1D
#define IE1D

#include "basic.h"
#include "fullmatrix.h"
#include "rkmatrix.h"
#include "supermatrix.h"

#include <math.h>

double  
get_entry(int n, int i, int j);

double  
get_taylorentry_a(int n, int i, int nu, double x0);

double  
get_taylorentry_b(int n, int i, int nu, double x0);

pfullmatrix 
fill_fullmatrix(int n, int size_n, int size_m, 
		int startindex_n, int startindex_m);

prkmatrix
fill_rkmatrix(int n, int k, int size_n, int size_m, 
	      int startindex_n, int startindex_m);

int
check_admissible(int n0, int n, int m0, int m);

psupermatrix 
fill_supermatrix(int n, int k, int nmin);

psupermatrix 
fillpart_supermatrix(int n, int k, int size_n, int size_m, 
		     int startindex_n, int startindex_m, int nmin);

psupermatrix 
fillsym_supermatrix(int n, int k, int nmin);

psupermatrix 
fillsympart_supermatrix(int n, int k, int size_n, int size_m, 
		      int startindex_n, int startindex_m, int nmin);

pfullmatrix 
fillsym_fullmatrix(int n, int size_n, int size_m, 
		   int startindex_n, int startindex_m);

double  
get_rhsentry(int n, int i, int nr);

double* 
fill_rhs(int n, int nr);


#endif
